<?php
if(isset($_POST["bexp"])) {	
	$varFIni = ($_POST["eini"]=="") ? "NULL" : "'".FechaMySql($_POST["eini"])."'";
			$varFFin = ($_POST["efin"]=="") ? "NULL" : "'".FechaMySql($_POST["efin"])."'";
			$varClie = ($_POST["ccod"]=="") ? "NULL" : $_POST["ccod"];
			$varVend = ($_POST["vcod"]=="") ? "NULL" : $_POST["vcod"];			
			
			$sql = "call spQuery_Registro_Ventas($varClie, $varVend, $varFIni, $varFFin);";
	$_SESSION[expor_sql_1] =  $sql;
	$_SESSION[expor_sql_2] = NULL;
	$dir = "export.php?page=REGISTRO DE VENTAS";
	header("location: $dir");
	}
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');

require "clases/KoolAjax/koolajax.php";
$koolajax->scriptFolder = "clases/KoolAjax";
				
function seleccionaProducto($ide) {
	if($ide<>"") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$obj->AbrirConexion();
		$sql = "call spQuery_Lista_Producto('$ide','');";
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		if($obj->NumFilas($rs)>0) $retorna = $Fila["PRODUCTO"]."[[sep]]".$Fila["UM_VENTA"]."[[sep]]".$Fila["PRECIO_VENTA"]."[[sep]]".$Fila["STOCK"];
		else $retorna = "NO EXISTE";
		}
	return $retorna;
	}

function generaDocNuevo($varVenta, $varTipo) {
	$retorna = "ERROR";
	if($varVenta<>"") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$obj->AbrirConexion();
		$Usr = (isset($_SESSION["_CUSE"]))  ? $_SESSION["_CUSE"] : "1";
		$sql = "CALL spProceso_Genera_Nueva_Venta($varVenta, '$varTipo', $Usr);";
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		if($obj->NumFilas($rs)>0) $retorna = $Fila[0];
		else $retorna = "ERROR";
		}
	return $retorna;
	}

function seleccionarNroDocumento($ide) {
	if($ide<>"" && $ide<>"Ninguno") {
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$sql = "select spFuncion_NumeroDocumento('$ide');";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		if($Fila = $obj->FetchArray($rs)) {
			$retorna = $Fila[0];
			}
		else {
			$retorna = "NO CONFIGURADO";
			}		
		}
	else $retorna = "";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("tdnam","value",$retorna);	
	return $respuestaXajax;
	}	
	
$xajax->register(XAJAX_FUNCTION, 'seleccionarNroDocumento');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_cliente');
$xajax->processRequest();
$xajax->printJavascript("clases/xajax");

$koolajax->enableFunction("seleccionaProducto");
$koolajax->enableFunction("generaDocNuevo");	
echo $koolajax->Render();
		
function MyTable($obj, $titulo, $Opcion, $Valor) {
	$Link = $_SERVER['PHP_SELF'];
	$MyTabla = "_sv_venta";
	$myID = "id_venta";
	$varFINI = (isset($_POST["eini"]))?$_POST["eini"]:NULL;
	$varFFIN = (isset($_POST["efin"]))?$_POST["efin"]:NULL;
	$varCCOD = (isset($_POST["ccod"]))?$_POST["ccod"]:NULL;
	$varCNOM = (isset($_POST["cnom"]))?$_POST["cnom"]:NULL;
	$varVCOD = (isset($_POST["vcod"]))?$_POST["vcod"]:NULL;
	$varVNOM = (isset($_POST["vnom"]))?$_POST["vnom"]:NULL;
	?>
	<script language="javascript">
	function CalcularItem(i) {
		var varCant = 0;
		var varUnitario = 0;
		
		var vuni = document.getElementById('ipre['+i+']');
		var vcant = document.getElementById('ican['+i+']');	
		var vtot = document.getElementById('itot['+i+']');
		
		if (vuni.value=="") varUnitario = "0";
		else	varUnitario = vuni.value;
		
		if (vcant.value=="") varCant="0";
		else	varCant = vcant.value;
		

		var varTotal = parseFloat(varUnitario)*parseFloat(varCant);
		vtot.value = redondear(varTotal,2);
		CalculaRTotal();
		}
		
	function CalculaRTotal() {
		var form = document.getElementById('form');
		var sto = 0;
		for (i=0;i<form.elements.length;i++) {	
			var Campo = form.elements[i].name;		
			if(Campo.indexOf("itot")==0) {			
				if (form.elements[i].value!="") {				
					sto = sto + parseFloat(form.elements[i].value);		
					}
				}
			}
		var vtotal = document.getElementById('tot');
		vtotal.value = redondear(sto,2);
		}
		
	function restar() {
		var miTabla = document.getElementById("cuerpoTabla");
		var i = 0;
		do
			if (miTabla.rows[i].getElementsByTagName("input")[0].checked == true)
				miTabla.deleteRow(i);
			else
				i ++;
		while (miTabla.rows.length != i)
	}
	
	function suma()  {
		var vnum = document.getElementById('num');
		var num = parseInt(vnum.value)+1;
		var miTabla = document.getElementById("cuerpoTabla");
		var fila = document.createElement("tr");
		var celda1 = document.createElement("td");
		var celda2 = document.createElement("td");
		var celda3 = document.createElement("td");
		var celda4 = document.createElement("td");
		var celda5 = document.createElement("td");
		var celda6 = document.createElement("td");
		var celda7 = document.createElement("td");
		var celda8 = document.createElement("td");
		
		fila.setAttribute("bgcolor","#F5FAFA");
		fila.setAttribute("onMouseOver","uno(this,'#FFFF33')");
		fila.setAttribute("onMouseOut","dos(this,'#F5FAFA')");
		celda1.setAttribute("align","center");	
		celda1.setAttribute("class","interior");
		celda2.setAttribute("class","interior");
		celda3.setAttribute("class","interior");
		celda4.setAttribute("align","center");
		celda4.setAttribute("class","interior");
		celda5.setAttribute("align","center");
		celda5.setAttribute("class","interior");
		celda6.setAttribute("align","center");
		celda6.setAttribute("class","interior");
		celda7.setAttribute("align","center");
		celda7.setAttribute("class","interior");
		celda8.setAttribute("align","center");
		celda8.setAttribute("class","interior");
		
		celda1.innerHTML = "<input id='icod["+num+"]' name='icod["+num+"]' autocomplete='off' type='text' style='text-align:center; width:60px;' ondblclick=\"fn_cargar_listado_producto_venta('"+num+"')\"  onblur=\"select_producto('"+num+"')\" onkeypress=\"return SoloNumeros(event)\"/  tabindex=\""+num+"\">";	
		celda2.innerHTML = "<input id='inom["+num+"]' name='inom["+num+"]' type='text'  class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly style='width:300px' />";
		celda3.innerHTML = "<input id='iuni["+num+"]' name='iuni["+num+"]' type='text' class='inputDisable' readonly style='text-align:center; width:50px' />";
		celda4.innerHTML = "<input id='istk["+num+"]' name='istk["+num+"]' type='text' class='inputDisable' onkeypress=\"return SoloNumeros(event)\" readonly style='text-align:right;width:50px'/>";
		celda5.innerHTML = "<input id='ipre["+num+"]' name='ipre["+num+"]'  autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
		celda6.innerHTML = "<input id='ican["+num+"]' name='ican["+num+"]' autocomplete='off' type='text' onkeypress=\"return SoloNumeros(event)\" onkeyup=\"CalcularItem('"+num+"')\" style='text-align:right;width:50px' tabindex=\""+num+"\"/>";
		celda7.innerHTML = "<input id='itot["+num+"]' name='itot["+num+"]' type='text' class='inputDisable' readonly style='text-align:right;width:50px'/>";	
		celda8.innerHTML = "<a hre='#' onClick='DeleteRow(this)'> <img src='images/b_drop.png' border='0'></a>";

		fila.appendChild(celda1);
		fila.appendChild(celda2);
		fila.appendChild(celda3);
		fila.appendChild(celda4);
		fila.appendChild(celda5);
		fila.appendChild(celda6);
		fila.appendChild(celda7);
		fila.appendChild(celda8);
		miTabla.appendChild(fila);
		vnum.value=num;
		}
	
	function DeleteRow(x) {
		while (x.tagName.toLowerCase() !='tr') {
			if(x.parentElement)
				x=x.parentElement;
			else if(x.parentNode)
				x=x.parentNode;
			else
			return;
			}
		var rowNum=x.rowIndex;
		while (x.tagName.toLowerCase() !='table') {
			if(x.parentElement)
				x=x.parentElement;
			else if(x.parentNode)
				x=x.parentNode;
			else
				return;
			}
		x.deleteRow(rowNum);
		CalculaTotal();
		}
		
	function valida(e){
		tecla=(document.all) ? e.keyCode : e.which;
		if(tecla == 13)
		document.form.cond.focus();
		}
		
	function pulsar(e, a) {
		tecla=(document.all) ? e.keyCode : e.which;
		var Campo = a.name;		
			
		if(tecla==13) {
			if(Campo == "ccod") {
				cargar("U","C",a.value,document.form.emp.value);
				document.form.cond.focus();
				}
			if(Campo.indexOf("acod")==0) {
				msj_articulo = "NO PRESIONES ENTER\n";
				}
			}
		return(tecla!=13);
	//	document.form.cond.focus();
		}
	
	function cargarProducto(ccod, cnom) {
		var Ruta = 'lista_producto.php?ccod='+ccod+'&cnom='+cnom;
		testwindow= window.open (Ruta, "mywindow",
		"location=1,status=1,scrollbars=1,width=600,height=600");
		}
		
	function select_producto(ide) {	
		var ccod1 = document.getElementById('icod['+ide+']');
		var cnom1 = document.getElementById('inom['+ide+']');
		var cuni1 = document.getElementById('ipre['+ide+']');
		var cstk1 = document.getElementById('istk['+ide+']');
		var cume1 = document.getElementById('iuni['+ide+']');
		
		var existe="NO";
		var form = document.getElementById('form');	
		if(ccod1=="") {
			ccod1.value = "";
			cnom1.value = "";
			cstk1.value = "";
			cume1.value = "";
			}
		else {		
			var dato = koolajax.callback(seleccionaProducto(ccod1.value));		
			if(dato=="NO EXISTE") {
				alert("PRODUCTO ESCRITO NO EXISTE...");
				ccod1.value = "";
				cnom1.value = dato;
				cuni1.value = "";
				cume1.value = "";
				ccod1.focus();
				}
			else {
				var myArray = dato.split('[[sep]]'); 			
				for (i=0;i<form.elements.length;i++) {
					var Campo = form.elements[i].name;		
					if(Campo.indexOf("icod")==0 && form.elements[i].value==ccod1.value && Campo != ccod1.name) {
						existe="SI";	
						}	
					}				
				if (existe=="SI") {
					ccod1.value = "";
					cnom1.value = "";
					cuni1.value = "";
					cume1.value = "";
					alert("EL producto : " + ccod1.value + "\n" + myArray[0] + "\nYA ESTA AGREGADO, SELECCIONE OTRO POR FAVOR");
					ccod1.focus();
					}
				else {
					
					cnom1.value = myArray[0];
					cume1.value = myArray[1];
					cstk1.value = myArray[3];
					cuni1.value = myArray[2];
					}
				}
			}
		}
		
	
	function select_Cliente(ccod, cnom) {		
		var ccod1 = document.getElementById(ccod);
		var cnom1 = document.getElementById(cnom);
		if(ccod1.value=="") {
			ccod1.value = "";
			cnom1.value = "";
			}
		else {			
			var dato = koolajax.callback(seleccionaCliente(ccod1.value));
			if(dato=="NO EXISTE") {
	//			alert("CLIENTE NO EXISTE");
				ccod1.value = "";
				cnom1.value = dato;
				ccod1.focus();
				}
			else {
				cnom1.value = dato;
				}
			}
		}
	
	function select_Vendedor(vcod, vnom) {		
		var vcod1 = document.getElementById(vcod);
		var vnom1 = document.getElementById(vnom);
		if(vcod1.value=="") {
			vcod1.value = "";
			vnom1.value = "";
			}
		else {			
			var dato = koolajax.callback(seleccionaVendedor(vcod1.value));
			if(dato=="NO EXISTE") {
	//			alert("CLIENTE NO EXISTE");
				vcod1.value = "";
				vnom1.value = dato;
				vcod1.focus();
				}
			else {
				vnom1.value = dato;
				}
			}
		}
function ImprimirDoc(numDoc, varTipo) {
	if (varTipo==2) {
		var Ruta = 'print/print_factura.php?ndoc='+numDoc+'&ctip='+varTipo;
		testwindow = window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=850,height=550");
		}
	else if(varTipo==3) {
		var Ruta = 'print/print_boleta.php?ndoc='+numDoc+'&ctip='+varTipo;
		testwindow = window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=650,height=500");		
		}
	else  {
		var Ruta = 'print/print_factura.php?ndoc='+numDoc+'&ctip='+varTipo;
		testwindow = window.open (Ruta, "mywindow", "location=no,status=no,toolbar=no,scrollbars=1,width=850,height=550");
		}	
	}
	

function AnularVenta(varCod, varEmi, varDoc, varUrl) {		
	if(confirm('¿ESTA SEGURO DE ANULAR ESTA VENTA?\nFecha Emisión : '+varEmi+'\nDocumento : '+varDoc+'\nTENGA EN CUENTA QUE ESTE PROCESO REALIZARA LO SIGUIENTE:\n ANULARA EL MOVIMIENTO QUE SE REALIZO EN EL ALMACEN\n** ANULARA TODOS LOS PAGOS QUE SE HAYAN REALIZADO A ESTE DOCUMENTO EN LA CUENTA CORRIENTE DEL CLIENTE?')) {		
		var Ruta = varUrl+'?opt=ANUL&valor='+varCod;
		window.location.href = Ruta;	
		}
	}

function GeneraDocumento(varCod, varEmi, varDoc, varUrl, varTipoDoc) {
	if(varTipoDoc=='BOL')
		var varTipoDocN	= 'BOLETA';
	else
		var varTipoDocN	= 'FACTURA';
	if(confirm('¿ESTA SEGURO DE REEMPLAZAR EL DOCUMENTO DE VENTA\nFecha Emisión : '+varEmi+'\nDocumento : '+varDoc+'\nPOR UNA NUEVA '+varTipoDocN+'?')) {
		var varNumDoc = koolajax.callback(generaDocNuevo(varCod, varTipoDoc));
		alert('SE HA GENERADO LA ' + varTipoDocN + ' NRO. ' + varNumDoc);
		var Ruta = varUrl+'?opt=VIEW&valor='+varCod;
		window.location.href = Ruta;
		}
	}
			
function DetalleVenta(varCod, varEmi, varDoc, varUrl) {		
	var Ruta = varUrl+'?opt=VIEW&valor='+varCod;
	window.location.href = Ruta;
	}

function GenerarGuia(varCod, varEmi, varDoc, varUrl) {	
	if(confirm('¿ESTA SEGURO DE GENERAR UN GUIA DE REMISION REMITENTE DE?\nFecha Emisión : '+varEmi+'\nDocumento : '+varDoc)) {		
		var Ruta = varUrl+'?opt=GUIA&valor='+varCod;
		window.open(Ruta);	
		}
	}
</script>
	<?php
	if(!isset($Opcion)) {
		
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"420", "clase"=>"Formtitulo", "titulo"=>$titulo." - BUSQUEDA",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$titulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"ccod", "name"=>"ccod", 
																					 "valor"=>$_POST["ccod"], "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)",
																					 "blur"=>"xajax_seleccionar_cliente(this.value)", 
																					 "dclick"=>"fn_cargar_listado_cliente('ccod', 'cnom')"),
																			   array("tipo"=>"text", "id"=>"cnom", "name"=>"cnom", 
																			   		 "valor"=>$_POST["cnom"], 
																					 "ancho"=>"250", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"simple", "valor"=>$_SESSION["_CVEN"]." - ".$_SESSION["_NVEN"])
											 ),									  
									   array("titulo"=>"Fecha Incial :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"fecha", "id"=>"eini", "name"=>"eini", "alinear"=>"center","valor"=>$varFINI) ),
									   array("titulo"=>"Fecha Final :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"fecha", "id"=>"efin", "name"=>"efin", "alinear"=>"center", "valor"=>$varFFIN) )									   
									   ),
						"boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"80", "alto"=>"22", "texto"=>"Consultar"),			  
									   array("tipo"=>"submit", "id"=>"bexp", "name"=>"bexp", "ancho"=>"80", "alto"=>"22", "texto"=>"Exportar"),
									   array("tipo"=>"button", "id"=>"bnew", "name"=>"bnew", "ancho"=>"80", "alto"=>"22", 
											 "texto"=>"Nueva Venta", "click"=>"location='$Link?opt=NEW'"),									)
						);
		echo $obj->setTablaForm($varTabla);	
		if(isset($_POST["bcon"])) {		
			$varFIni = ($_POST["eini"]=="") ? "NULL" : "'".FechaMySql($_POST["eini"])."'";
			$varFFin = ($_POST["efin"]=="") ? "NULL" : "'".FechaMySql($_POST["efin"])."'";
			$varClie = ($_POST["ccod"]=="") ? "NULL" : $_POST["ccod"];
			$varVend = ($_SESSION["_CVEN"]=="") ? "NULL" : $_SESSION["_CVEN"];			
			
			$sql = "call spQuery_Registro_Ventas($varClie, $varVend, $varFIni, $varFFin);";
			$varTabla=array("id"=>"theTable", "name"=>"theTable", "tamano"=>"98%", "sql_cab"=>$sql,	"pages"=>20,
							"conte"=>array(array("tamano"=>20, "titulo"=>"IDE", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>50, "titulo"=>"EMISION", "alinear"=>"center"),
										   array("tamano"=>90, "titulo"=>"DOCUMENTO"),
										   array("tamano"=>40, "titulo"=>"EST.", "alinear"=>"center"),
										   array("tamano"=>10, "titulo"=>"CTIP", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>10, "titulo"=>"CCLI", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"CLIENTE"),
										   array("tamano"=>10, "titulo"=>"CVEN", "alinear"=>"center", "oculto"=>"SI"),
										   array("tamano"=>250,"titulo"=>"VENDEDOR"),
										   array("tamano"=>40, "titulo"=>"PEDIDO", "alinear"=>"center"),
										   array("tamano"=>60, "titulo"=>"GUIA", "alinear"=>"center"),
										   array("tamano"=>60, "titulo"=>"TOTAL", "alinear"=>"right"),
										   array("tamano"=>60, "titulo"=>"PAGOS", "alinear"=>"right"),
										   array("tamano"=>60, "titulo"=>"SALDO", "alinear"=>"right")
										   ),
							"boton"=>array(array("tipo"=>"img", "id"=>"bdet", "name"=>"bdet", "img"=>"images/b_table.png", 
										   		 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>VER EL DETALLE</b> DE LA VENTA<br><b>Fecha Emisión : </b>"),
																 array("valor"=>1, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Documento : </b>"),
																 array("valor"=>2, "tipo"=>"INDEX")
												   				),
												 "click"=>array("funcion"=>"DetalleVenta",
																"param"=>array(array("valor"=>0, "tipo"=>"INDEX"),
																			   array("valor"=>1, "tipo"=>"INDEX"),
																			   array("valor"=>2, "tipo"=>"INDEX"),
																			   array("valor"=>$Link, "tipo"=>"TEXTO")
																			   )
																)
												 ),											
											array("tipo"=>"img", "id"=>"bimp", "name"=>"bimp", "img"=>"images/b_printer.png", 
										   		 "toltip"=>array(array("valor"=>"HAGA CLICK PARA <b>IMPRIMIR</b> LA VENTA<br><b>Fecha Emisión : </b>"),
																 array("valor"=>1, "tipo"=>"INDEX"),
																 array("valor"=>"<br><b>Documento : </b>"),
																 array("valor"=>2, "tipo"=>"INDEX")
												   				),
												 "click"=>array("funcion"=>"ImprimirDoc",
																"param"=>array(array("valor"=>0, "tipo"=>"INDEX"),
																			   array("valor"=>4, "tipo"=>"INDEX") 
																			   )
																)
												 )									
										)
							);
			echo $obj->SetGridTabla($varTabla);
			}
		}
	elseif($Opcion=="NEW") {
		$sqldoc = "select id_tipo_doc, nombre from _sv_tipo_doc_pago where _estado='A' and id_tipo_doc <> 4";
		$sqlcon = "select id_condicion, nombre from _sv_tipo_condicion where _estado='A' order by id_condicion desc";
		echo "<form id=\"form\" name=\"form\" method=\"POST\"  onSubmit=\"return validaRegistroProducto(this)\">";
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"450", "clase"=>"Formtitulo", "titulo"=>$titulo." - NUEVO",						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$Titulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion), 
									   array("tipo"=>"oculto", "id"=>"vcod", "name"=>"vcod", "valor"=>$_SESSION["_CVEN"])
									  ),
						"conte"=>array(array("titulo"=>"Tipo Doc. :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"select", "id"=>"tdcod", "name"=>"tdcod", "valor"=>$_POST["tdcod"], "ancho"=>"100",
															"combo"=>array("sql"=>$sqldoc, "titulo"=>" --[[SELECCIONAR]]-- ", "sincod"=>"SI", 
															"ancho"=>"200", "reload"=>"xajax_seleccionarNroDocumento(this.value)"))),
									   array("titulo"=>"Número Doc. :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"text", "id"=>"tdnam", "name"=>"tdnam", "valor"=>$_POST["tdnam"], "ancho"=>"135", 
											 				"alinear"=>"center", "maxchar"=>11, "clase"=>"inputDisable", "locked"=>"SI")),
									   array("titulo"=>"Fecha Emisión :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"fecha", "id"=>"femi", "name"=>"femi", "alinear"=>"center", 
															"valor"=>date( "d/m/Y",time()), "ancho"=>"90")),
									   array("titulo"=>"Condición :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										 "campo"=>array("tipo"=>"select", "id"=>"cond", "name"=>"cond", "valor"=>$_POST["cond"],
														"combo"=>array("sql"=>$sqlcon, "ancho"=>"200", "sincod"=>"SI"))),
									   array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"varios",
															"contenido"=>array(array("tipo"=>"text", "id"=>"ccod", "name"=>"ccod", 
																					 "valor"=>$_POST["ccod"], "ancho"=>"50", "alinear"=>"center", 
																					 "keypress"=>"return SoloEnteros(event)",
																					 "blur"=>"xajax_seleccionar_cliente(this.value)", 
																					 "dclick"=>"fn_cargar_listado_cliente('ccod', 'cnom')"),
																			   array("tipo"=>"text", "id"=>"cnom", "name"=>"cnom", "valor"=>$_POST["cnom"], 
																					 "ancho"=>"250", "clase"=>"inputDisable", "locked"=>"SI")
																			   )
														 	)
											 ),
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
											 "campo"=>array("tipo"=>"simple", "valor"=>$_SESSION["_CVEN"]." - ".$_SESSION["_NVEN"])
											 ),
									   array("titulo"=>"Número Pedido :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"text", "id"=>"nped", "name"=>"nped", "valor"=>$_POST["nped"], "ancho"=>"135", 
											 				"alinear"=>"center" )),
									   array("titulo"=>"Glosa :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "campo"=>array("tipo"=>"area", "id"=>"glo", "name"=>"glo", "ancho"=>"309"))
									   ),
						"boton"=>array(array("tipo"=>"button", "id"=>"btadd", "name"=>"btadd", "ancho"=>"120", "alto"=>"22", 
											 "texto"=>"Agregar Producto", "click"=>"suma()"),
									   array("tipo"=>"button", "id"=>"breg", "name"=>"breg", "ancho"=>"80", "alto"=>"22", 
											 "texto"=>"Regresar", "click"=>"location='$Link'")
									   )
						);
		echo $obj->setTablaForm($varTabla);
		
		
		echo "<br>";
		echo "<table id=\"tblSample\" style=\"padding:0;margin-top:0px;border-collapse:collapse;\" ";
		echo "width=680 align=center cellpadding=0 cellspacing=0>";
		echo "<tr>";
		echo "<td class=\"FormCampo2\" width=\"90\">Codigo";
		echo "<input name=\"num\" type=\"hidden\" class=\"input\" id=\"num\" value=\"0\"/>";
		echo "</td>";	
		echo "<td class=\"FormCampo2\" width=\"300\">Descripcion</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">UM Venta</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">Stock</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">Precio</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">Cantidad</td>";
		echo "<td class=\"FormCampo2\" width=\"50\">Total</td>";
		echo "<td class=\"FormCampo2\" width=\"10\"></td>";
		echo "</tr>";
		echo "<tbody id=cuerpoTabla>";
		echo "</tbody>";
		echo "<tr>";
		echo "<td height=19 class=\"interior\" colspan=6 align=\"right\"><b>Total :</b></td>";	
		echo "<td align=\"left\" class=\"interior\">";
		echo "<input name='tot' id='tot' type='text' class='inputDisable' readonly style='text-align:right;width:50px' value=0 />";
		echo "</td>";
		echo "</tr>";
		echo "<tr>";
		echo "<td height=25 colspan=10 valign=top aling=\"center\" class=\"Formtitulo\">";	
		echo "<input id=\"save\" name=\"save\" type=\"submit\" style=\"width:150px; ";
		echo "height:22px; font-size:10px; \" value=\"Registrar Documento\" onClick=\"return confirm('¿DESEA GUARDAR EL MOVIMIENTO?')\" >";
		echo "</td>";
		echo "</tr>";
		echo "</table>";	
		echo "</form>";		
		}
	elseif($Opcion=="VIEW") {
		$sql = "CALL spQuery_Registro_Ventas_Detalle($Valor)";
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);		
		$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"400", "clase"=>"Formtitulo", "titulo"=>$titulo." - DETALLE",
						"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
						"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$titulo),
									   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
									  ),
						"conte"=>array(array("titulo"=>"Fecha Emision :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
											 "texto"=>$Fila["EMISION"], "tamano"=>"100"),
									   array("titulo"=>"Tipo Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
									   		 "texto"=>$Fila["CTIP"]),
									   array("titulo"=>"Nro Documento :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["NDOC"]),
									   array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CCLI"].' - '.$Fila["CLIENTE"]),
									   array("titulo"=>"Vendedor :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CVEN"].' - '.$Fila["VENDEDOR"]),
									   array("titulo"=>"Condición Venta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["CCON"].' - '.$Fila["CONDICION"]),
									   array("titulo"=>"Monto :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>number_format($Fila["TOTAL"], 2,'.',',')),
									   array("titulo"=>"Pagos a Cuenta :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>number_format($Fila["PAGOS"], 2,'.',',')),
									   array("titulo"=>"Saldo :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>number_format($Fila["SALDO"], 2,'.',',')),
									   array("titulo"=>"Estado :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["ESTADO"]),
									   array("titulo"=>"F. Sistema :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["SISTEMA"]),
									   array("titulo"=>"Nro. Pedido :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["PEDIDO"]),
									   array("titulo"=>"Glosa :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										     "texto"=>$Fila["GLOSA"])
									   ),
						"boton"=>array(array("tipo"=>"button", "id"=>"breg", "name"=>"breg", "ancho"=>"80", "alto"=>"22", 
											 "texto"=>"Regresar", "click"=>"location='$Link'"),
									   array("tipo"=>"button", "id"=>"bimp", "name"=>"bimp", "ancho"=>"80", "alto"=>"22", 
									   		 "texto"=>"Imprimir", "click"=>"javascript:ImprimirDoc($Valor,$Fila[CTIPD])"),
									   array("tipo"=>"button", "id"=>"bnew", "name"=>"bnew", "ancho"=>"80", "alto"=>"22", 
											 "texto"=>"Nueva Venta", "click"=>"location='$Link?opt=NEW'"),
									)
						);
		echo $obj->setTablaForm($varTabla);
		$sql = "select D.id_producto AS CPRO, A.descripcion AS PRODUCTO, D.PRECIO, 
				D.CANTIDAD,
				D.TOTAL
				from _sv_venta_detalle D
				inner join _sv_producto A ON D.id_producto = A.id_producto
				where D.id_venta=$Valor";
		$rs_cab = array(0=>array("tamano"=>50, "titulo"=>"CITEM", "Negrita"=>"SI", "Alinear"=>"center"),
						1=>array("tamano"=>350, "titulo"=>"NOMBRE DE ARTICULO"),
						2=>array("tamano"=>60, "titulo"=>"PRECIO", "Alinear"=>"right"),
						3=>array("tamano"=>70, "titulo"=>"CANTIDAD", "Alinear"=>"right"),
						4=>array("tamano"=>70, "titulo"=>"IMPORTE", "Alinear"=>"right")
						);
		echo $obj->SetGrid(600,$rs_cab,$sql,NULL,4, NULL, "SI"); 
		}
	if(isset($_POST["save"])) {
		$Link = $_SERVER['PHP_SELF'];
		$var = VarServer("MYSQLI");
		$obj = new clsConexion($var[0],$var[1],$var[2],$var[3],$var[4]);
		$varUsr = (isset($_SESSION["_CUSE"]))  ? $_SESSION["_CUSE"] : "1";
		$vnum = $_POST["num"];
		$varEmi = "'".FechaMySql($_POST["femi"])."'";
		$varTip = (isset($_POST["tdcod"]) && $_POST["tdcod"]<>"")?$_POST[tdcod]:"NULL";
		$varDoc = (isset($_POST["tdnam"]) && $_POST["tdnam"]<>"")?"'".$_POST[tdnam]."'":"NULL";
		$varCli = (isset($_POST["ccod"]) && $_POST["ccod"]<>"")?$_POST[ccod]:"NULL";
		$varCon = (isset($_POST["cond"]) && $_POST["cond"]<>"")?$_POST[cond]:"NULL";
		$varVen = (isset($_POST["vcod"]) && $_POST["vcod"]<>"")?$_POST[vcod]:0;
		$varPed = (isset($_POST["nped"]) && $_POST["nped"]<>"")?"'".$_POST[nped]."'":"NULL";
		$varGlo = (isset($_POST["glos"]) && $_POST["glos"]<>"")?"'".$_POST[glos]."'":"NULL";
		$varTot = $_POST["tot"];
		$varLoc = 1;		
		$sql = "call spMante_Venta_Cab($varLoc, $varTip, $varDoc, $varCon, $varEmi, $varCli, $varVen, $varPed, $varGlo, $varTot, $varUsr)";	
		$obj->AbrirConexion();
		$rs = $obj->Query($sql);
		$obj->CerrarConexion();
		$Fila = $obj->FetchArray($rs);
		$NumCompra = $Fila[0];
		for($i=1; $i<=$vnum; $i++) {	
			$varCod = $_POST["icod"][$i];
			$varPre = (isset($_POST["ipre"][$i]) && $_POST["ipre"][$i]<>"")?$_POST["ipre"][$i]:0;			
			$varCan = (isset($_POST["ican"][$i]) && $_POST["ican"][$i]<>"")?$_POST["ican"][$i]:0;
			$varUni = (isset($_POST["iuni"][$i]) && $_POST["iuni"][$i]<>"")?"'".$_POST["iuni"][$i]."'":"NULL";
			
			$sql = "call spMante_Venta_Det($NumCompra, '$varCod', $varLoc, $varCan, $varPre, $varUni, $varEmi, $varUsr)";	
			$obj->AbrirConexion();
			$rs = $obj->Query($sql);
			$obj->CerrarConexion();
			}				
		//$varRuta = "print_doc.php?tipo=NEW&ndoc=".$NumCompra;
		$varRuta = $Link."?opt=VIEW&valor=".$NumCompra;
		echo "<script language='Javascript'>";
		echo "window.location='$varRuta'";
		echo "</script>\n";
		}
	} 
?>